[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
Google
  Web www.spinics.net

Re: Yum 3.4.3 and SLES11 SP1



Am 09.02.2012 17:15, schrieb James Antill:
Nicole Hähnel <ml@xxxxxxxxxxxxxxxxx> writes:

Hi,

I am using yum 3.4.3 on our sles11 sp1 servers for updates.
Every time I have to install a new kernel, I get this error:

ERROR with transaction check vs depsolve:
kernel-default-base_x86_64 is needed by (installed)
kernel-default-2.6.32.49-0.3.1.x86_64

Is this a yum problem? Or can I solve this?
[...]
Running Transaction Check
ERROR with transaction check vs depsolve:
kernel-default-base_x86_64 is needed by (installed)
kernel-default-2.6.32.49-0.3.1.x86_64
Please report this error in http://yum.baseurl.org/report
** Found 281 pre-existing rpmdb problem(s), 'yum check' output follows:
ConsoleKit-0.2.10-64.65.1.x86_64 is a duplicate with
ConsoleKit-0.2.10-64.13.6.x86_64
 This very likely means that something "very bad" happened, likely a
large transaction aborted ... you can try using "yum history redo" or
yum-complete-transaction to see if you can fix the problem. Otherwise
you'll have to do it by hand, by running "yum check" and then
removing/install things.
 When you have no pre-existing problems, yum should work fine
(although I will note that I'd generally not recommend using a
non-system package manager, without a good reason).


Hi,

another SLES11 SP1 server where I can not install any kernel updates with yum:

Test:/ # yum-complete-transaction
Loaded plugins: dellsysid
No unfinished transactions left.

Test:/ # yum check
Loaded plugins: dellsysid, downloadonly, security
check all

Test:/ # yum update
Loaded plugins: dellsysid, downloadonly, security
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package kernel-default.x86_64 0:2.6.32.54-0.3.1 will be installed
---> Package kernel-default-base.x86_64 0:2.6.32.49-0.3.1 will be updated
--> Processing Dependency: kernel-default-base_x86_64 = 2.6.32.49-0.3.1 for package: kernel-default-2.6.32.49-0.3.1.x86_64
---> Package kernel-default-base.x86_64 0:2.6.32.54-0.3.1 will be an update
---> Package kernel-default-devel.x86_64 0:2.6.32.49-0.3.1 will be updated
---> Package kernel-default-devel.x86_64 0:2.6.32.54-0.3.1 will be an update
---> Package kernel-source.x86_64 0:2.6.32.54-0.3.1 will be installed
---> Package libnet.x86_64 0:1.1.2.1-140.22 will be updated
---> Package libnet.x86_64 0:1.1.2.1-140.24.1 will be an update
--> Running transaction check
--> Finished Dependency Resolution

Dependencies Resolved

============================================================================================================================================
 Package                               Arch                    Version                             Repository                          Size
============================================================================================================================================
Installing:
 kernel-default                        x86_64                  2.6.32.54-0.3.1                     sles11sp1-updates                   16 M
 kernel-source                         x86_64                  2.6.32.54-0.3.1                     sles11sp1-updates                   69 M
Updating:
 kernel-default-base                   x86_64                  2.6.32.54-0.3.1                     sles11sp1-updates                  9.7 M
 kernel-default-devel                  x86_64                  2.6.32.54-0.3.1                     sles11sp1-updates                  2.5 M
 libnet                                x86_64                  1.1.2.1-140.24.1                    sles11sp1-updates                  218 k

Transaction Summary
============================================================================================================================================
Install       2 Packages
Upgrade       3 Packages

Total size: 98 M
Is this ok [y/N]: y
Downloading Packages:
Running Transaction Check
ERROR with transaction check vs depsolve:
kernel-default-base_x86_64 is needed by (installed) kernel-default-2.6.32.49-0.3.1.x86_64
Please report this error in http://yum.baseurl.org/report
 You could try running: rpm -Va --nofiles --nodigest
Your transaction was saved, rerun it with: yum load-transaction /tmp/yum_save_tx-2012-02-13-09-367QFp0i.yumtx  

Thanks!

Nicole

_______________________________________________
Yum mailing list
Yum@xxxxxxxxxxxxxxxxx
http://lists.baseurl.org/mailman/listinfo/yum

[Home]     [Fedora Users]     [Fedora Legacy List]     [Fedora Maintainers]     [Fedora Desktop]     [Red Hat 9 Bible]     [Fedora Bible]     [Fedora SELinux]     [Big List of Linux Books]     [Yosemite News]     [Yosemite Photos]     [KDE Users]     [Fedora Tools]

Powered by Linux

Google
  Web www.spinics.net